xine-lib: cfg_entry_s Struct Reference

xine-lib 1.2.12

Data Fields
cfg_entry_s Struct Reference

`#include <configfile.h>`

## Data Fields
cfg_entry_t * | next
config_values_t * | config
char * | key
int | type
int | exp_level
char * | unknown_value
char * | str_value
char * | str_default
int | num_value
int | num_default
int | range_min
int | range_max
char ** | enum_values
char * | description
char * | help
xine_config_cb_t | callback
void * | callback_data

## Field Documentation

## ◆ callback

xine_config_cb_t cfg_entry_s::callback

callback function and data for live changeable values

Referenced by _cfg_cb_add(), _cfg_cb_clear(), _cfg_cb_clear_report(), _cfg_cb_d_rem(), _cfg_cb_rem(), _cfg_d_rem(), config_get_current_entry(), config_insert(), config_shallow_copy(), config_update_num_e(), config_update_string_e(), and faad_init_plugin().

## ◆ callback_data

void* cfg_entry_s::callback_data

Referenced by _cfg_cb_add(), _cfg_cb_clear(), _cfg_cb_clear_report(), _cfg_cb_d_rem(), _cfg_cb_rem(), _cfg_d_rem(), config_get_current_entry(), config_insert(), config_shallow_copy(), config_update_num_e(), config_update_string_e(), and faad_init_plugin().

## ◆ config

config_values_t* cfg_entry_s::config

Referenced by config_insert(), load_syms_linux(), open_radio_capture_device(), open_video_capture_device(), search_by_channel(), and sub_read_file().

## ◆ description

char* cfg_entry_s::description

help info for the user

Referenced by config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_register_key(), config_reset_value(), config_shallow_copy(), and xine_config_save().

## ◆ enum_values

char** cfg_entry_s::enum_values

type enum specific:

Referenced by config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_register_enum(), config_reset_value(), config_shallow_copy(), config_update_string_e(), and xine_config_save().

## ◆ exp_level

int cfg_entry_s::exp_level

user experience level

Referenced by _config_fat_entry_cmp(), _x_config_change_opt(), config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_register_key(), and config_shallow_copy().

## ◆ help

char* cfg_entry_s::help

Referenced by config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_register_key(), config_reset_value(), and config_shallow_copy().

## ◆ key

char* cfg_entry_s::key

Referenced by _cfg_cb_clear_report(), _config_fat_entry_cmp(), config_dispose(), config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_shallow_copy(), config_update_num(), config_validate(), save_plugin_list(), and xine_config_save().

## ◆ next

cfg_entry_t* cfg_entry_s::next

Referenced by _cfg_cb_clear(), _cfg_cb_clear_report(), _cfg_cb_d_rem(), _cfg_cb_rem(), _cfg_d_rem(), config_dispose(), config_insert(), config_unregister_callbacks(), config_unregister_cb(), config_validate(), xine_config_get_first_entry(), xine_config_get_next_entry(), xine_config_reset(), and xine_config_save().

## ◆ num_default

int cfg_entry_s::num_default

Referenced by config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_register_bool(), config_register_enum(), config_register_num(), config_register_range(), config_shallow_copy(), config_update_num_e(), config_update_string_e(), xine_config_save(), and xine_nbc_init().

## ◆ num_value

int cfg_entry_s::num_value

common to range, enum, num, bool:

Referenced by _x_config_change_opt(), _x_input_get_show_hidden_files(), _x_spu_get_opacity(), ao_pulse_open(), config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_lookup_num(), config_register_bool(), config_register_enum(), config_register_filename(), config_register_num(), config_register_range(), config_register_string(), config_reset_value(), config_shallow_copy(), config_update_num_e(), config_update_string_e(), open_plugin(), search_by_channel(), sub_read_file(), tls_get_verify_tls_cert(), vaapi_check_capability(), xine_config_save(), xv_prop_conf(), xv_set_property(), and xxmc_check_capability().

## ◆ range_max

int cfg_entry_s::range_max

Referenced by config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_register_enum(), config_register_range(), config_shallow_copy(), config_update_num_e(), config_update_string_e(), and xine_config_save().

## ◆ range_min

int cfg_entry_s::range_min

type range specific:

Referenced by _config_is_fat_entry(), _config_set_fat_entry(), config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_register_enum(), config_register_range(), config_shallow_copy(), config_update_num_e(), config_update_string_e(), and xine_config_save().

## ◆ str_default

char* cfg_entry_s::str_default

Referenced by config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_register_filename(), config_register_string(), config_reset_value(), config_shallow_copy(), and xine_config_save().

## ◆ str_value

char* cfg_entry_s::str_value

type string

Referenced by _x_input_get_default_server_mrls(), config_get_current_entry(), config_insert(), config_lookup_string(), config_register_filename(), config_register_string(), config_reset_value(), config_shallow_copy(), config_update_string_e(), load_syms_linux(), open_radio_capture_device(), open_video_capture_device(), v4l_class_get_instance(), v4l_class_get_radio_instance(), v4l_class_get_video_instance(), and xine_config_save().

## ◆ type

int cfg_entry_s::type

Referenced by _x_config_change_opt(), config_get_current_entry(), config_get_serialized_entry(), config_insert(), config_lookup_num(), config_lookup_string(), config_register_bool(), config_register_enum(), config_register_filename(), config_register_key(), config_register_num(), config_register_range(), config_register_string(), config_shallow_copy(), config_update_num(), config_update_num_e(), config_update_string_e(), vaapi_check_capability(), xine_config_get_first_entry(), xine_config_get_next_entry(), xine_config_lookup_entry(), and xine_config_save().

## ◆ unknown_value

char* cfg_entry_s::unknown_value

type unknown

Referenced by config_dispose(), config_insert(), config_register_bool(), config_register_enum(), config_register_filename(), config_register_num(), config_register_range(), config_register_string(), config_shallow_copy(), config_update_string_e(), and xine_config_save().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/include/xine/configfile.h